> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udstep.md).

# New-UDStep

### Übersicht

Erstellt einen neuen Schritt für einen Stepper.

### Syntax

```powershell
New-UDStep [[-Id] <String>] [-OnLoad] <Endpoint> [[-Label] <String>] [-Optional] [-DisablePrevious] [[-Icon] <Object>] [-RemoveIconStyle] [[-IconStyle] <Hashtable>] [[-DarkIconStyle] <Hashtable>] [<CommonParameters>]
```

### Beschreibung

Erstellt einen neuen Schritt für einen Stepper. Fügen Sie ihn dem Parameter Children (Alias Steps) von New-UDStepper hinzu.

### Parameter

#### -Id

Die ID der Komponente. Standardmäßig ist es eine zufällige GUID.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnLoad

Der Skriptblock, der ausgeführt wird, wenn der Schritt geladen wird. Der Skriptblock erhält den Parameter $Body, der JSON für den aktuellen Zustand des Steppers enthält. Wenn Sie Formularsteuerelemente verwenden, sind deren Daten in der Eigenschaft $Body.Context verfügbar.

```
Required?                    true
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Label

Eine Bezeichnung für diesen Schritt.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Optional [<SwitchParameter>]
        Whether this step is optional.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -DisablePrevious [<SwitchParameter>]
        Disables the back button on the step

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon Das Symbol, das zum Schritt hinzugefügt werden sollRequired?                    falsePosition?                    4Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -RemoveIconStyle \[\<SwitchParameter>]        Removes circle style around iconRequired?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false-IconStyleRequired?                    falsePosition?                    5Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-DarkIconStyleRequired?                    falsePosition?                    6Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Ausgaben--------------------------> BEISPIEL 1 --------------------------PS > Creates a stepper that reports the stepper context with each step.New-UDStepper -Id 'stepper' -Steps {    New-UDStep -OnLoad {        New-UDElement -tag 'div' -Content { "Step 1" }        New-UDTextbox -Id 'txtStep1'    } -Label "Step 1"    New-UDStep -OnLoad {        New-UDElement -tag 'div' -Content { "Step 2" }        New-UDElement -tag 'div' -Content { "Previous data: $Body" }        New-UDTextbox -Id 'txtStep2'    } -Label "Step 2"    New-UDStep -OnLoad {        New-UDElement -tag 'div' -Content { "Step 3" }        New-UDElement -tag 'div' -Content { "Previous data: $Body" }        New-UDTextbox -Id 'txtStep3'    } -Label "Step 3"} -OnFinish {    New-UDTypography -Text 'Nice! You did it!' -Variant h3    New-UDElement -Tag 'div' -Id 'result' -Content {$Body}}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udstep.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
